# Workflow Framework

The Workflow Framework is not so much a module as a centralized location for
non-python scripts and bits that are required by some workflows.

## General Framework
Many workflows require specific directory structres inorder to run correctly.
This structure is set up using `framework.sh` found in the `sh` directory of the
framework.

## CASA Framework
In order to run CASA in HTCondor we must transfer matplotlib with every
condor job, therefore matplot lib is held in the `casa_requirements` directory of
the framework.

## Ingestion Framework
Ingestion requires a *collection* step prior to running `ingest`. This step is
performed by bash scripts which were inherited and adapted from the AAT.

Example: the `calibration-table-collector.sh` held in the `ingest_requirements`
directory of the framework.
